# Users

## GET /api/v1/users

>

```json
{"openapi":"3.0.0","info":{"title":"TapRaise API","version":"v1"},"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"jwt","type":"http"}},"schemas":{"UserPaginationConnection":{"type":"object","properties":{"edges":{"type":"array","items":{"$ref":"#/components/schemas/UserEdge"}},"pageInfo":{"$ref":"#/components/schemas/PageInfo"}},"required":["edges","pageInfo"]},"UserEdge":{"type":"object","properties":{"node":{"$ref":"#/components/schemas/UserDto"},"cursor":{"type":"string","description":"Cursor used in 'before' and 'after' pagination connection arguments"}},"required":["node","cursor"]},"UserDto":{"type":"object","properties":{"uuid":{"type":"string","format":"uuid","description":"UUID (v4)"},"username":{"type":"string","format":"email","description":"E-mail username of user"},"name":{"type":"string","format":"string","description":"Name of the user"},"createdAt":{"format":"date-time","type":"string","description":"ISO8601 compatible datetime string"},"externalSource":{"nullable":true,"description":"When the user is managed by another system, and imported into TapRaise, it has an external source definition set that describes where it comes from and what its identifier in the external system is.","allOf":[{"$ref":"#/components/schemas/ExternalSourceDto"}]}},"required":["uuid","username","name","createdAt","externalSource"]},"ExternalSourceDto":{"type":"object","properties":{"name":{"type":"string","description":"Name of the external source"},"identifier":{"type":"string","description":"Identifier of this entity in the external source"}},"required":["name","identifier"]},"PageInfo":{"type":"object","properties":{"startCursor":{"type":"string","nullable":true,"description":"The first cursor of this slice"},"endCursor":{"type":"string","nullable":true,"description":"The last cursor of this slice"},"hasPreviousPage":{"type":"boolean"},"hasNextPage":{"type":"boolean"}},"required":["startCursor","endCursor","hasPreviousPage","hasNextPage"]}}},"paths":{"/api/v1/users":{"get":{"operationId":"UserOverviewRestController_getUsers","parameters":[{"name":"identityPlatformUid","required":false,"in":"query","description":"Filter by identity platform uid","schema":{"type":"string"}},{"name":"updatedAfter","required":false,"in":"query","description":"ISO8601 compatible datetime string","schema":{"type":"string"}},{"name":"createdAfter","required":false,"in":"query","description":"ISO8601 compatible datetime string","schema":{"type":"string"}},{"name":"before","required":false,"in":"query","description":"Pledge cursor to fetch results before","schema":{"type":"string"}},{"name":"last","required":false,"in":"query","description":"The amount of results to fetch before the 'before' cursor","schema":{"type":"number"}},{"name":"after","required":false,"in":"query","description":"Pledge cursor to fetch results after","schema":{"type":"string"}},{"name":"first","required":false,"in":"query","description":"The amount of results to fetch after the 'after' cursor","schema":{"type":"number"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserPaginationConnection"}}}},"400":{"description":"Bad request. Response body shows what the problem is."},"401":{"description":"Service account not properly authenticated"},"403":{"description":"Service account forbids executing this action"},"default":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserPaginationConnection"}}}}},"tags":["users"]}}}}
```
